Name:		libhid
Version:	0.2.16
Release:	%mkrel 2

%define major 0
%define	libname		%mklibname hid %{major}
%define develname	%mklibname hid -d

Summary:	Userspace USB HID development files
License:	GPL
Group:		System/Libraries
URL:		http://libhid.alioth.debian.org/
Source0:	https://alioth.debian.org/frs/download.php/1958/%{name}-%{version}.tar.xz
Patch1:		libhid-0.2.17-fix_compiler_flags.patch
Patch2:		libhid-0.2.17-buildfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  pkgconfig
BuildRequires:	libusb-devel
BuildRequires:  swig
BuildRequires:  python-devel
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  docbook-style-xsl
Obsoletes: 	%{name} < %version

%description
libhid provides a generic and flexible way to access and interact with USB
HID devices, much like libusb does for plain USB devices. It is based on
libusb, thus it requires no HID support in the kernel and provides means to
take control over a device even if the kernel governs it.


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name} < %version
Provides:	%{name} = %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}


%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %version
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%package python
Summary:	This package provides a Python wrapper for libhid.
Group:		Development/Python
BuildArch: 	noarch
Requires:	%{name} = %{version}-%{release}

%description  python
libhid provides a generic and flexible way to access and interact with USB
HID devices, much like libusb does for plain USB devices. It is based on
libusb, thus it requires no HID support in the kernel and provides means to
take control over a device even if the kernel governs it.




%prep
%setup -q 
%apply_patches

%build
%configure2_5x --disable-static

sed -i 's|AC_PROG_SWIG(1.3)|AC_PROG_SWIG(2.0)|' configure.ac

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig



%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS TODO README.licence
%{_bindir}/libhid-detach-device
%{_datadir}/man/man1/*
%{_libdir}/lib*.so.*
#%{_libdir}/python*/site-packages/libhid/_hid.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog README AUTHORS NEWS TODO README.licence
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libhid.pc


%files python
%defattr(-,root,root)
#%py_puresitedir/*
#%{_libdir}/python*/site-packages/libhid/_hid.so

%changelog
* Thu Aug 15 2013 billybot <billybot> 0.2.16-2pclos2013
- update python 2.7

* Fri Apr 19 2012 Ken <lxgator at gmail.com> 0.2.16-1pclos2013
- initial pkg
- convert to libname scheme (texstar)

